summaryrefslogtreecommitdiff
path: root/setup.sh
diff options
context:
space:
mode:
authorWill Holland <william.holland@codethink.co.uk>2015-09-07 11:51:35 +0100
committerWill Holland <william.holland@codethink.co.uk>2015-09-07 11:51:35 +0100
commit5cc4b23476b56d7d5b882b43f1a3149e5b14537f (patch)
tree3804bf503acdd231f2dfe2ad600ebd81029cdec4 /setup.sh
parent1709c62133c5517d0119a8f2c0957fe204d43d4c (diff)
downloadorchestration-5cc4b23476b56d7d5b882b43f1a3149e5b14537f.tar.gz
Fix setup.sh to work with sh not just bash
Diffstat (limited to 'setup.sh')
-rw-r--r--setup.sh12
1 files changed, 5 insertions, 7 deletions
diff --git a/setup.sh b/setup.sh
index fae3270..43ec523 100644
--- a/setup.sh
+++ b/setup.sh
@@ -1,9 +1,7 @@
#!/bin/sh
-# TODO skip this bit if orchenv exists
+set -e
virtualenv --no-site-packages orchenv
-source orchenv/bin/activate
-easy_install sqlachemy=0.7.10
-easy_install buildbot
-
-buildbot create-master master
-cp source/master.cfg master/master.cfg
+cd orchenv
+./bin/pip install buildbot
+./bin/buildbot create-master master
+cp ../source/master.cfg master/master.cfg